<?php
/**************************************************************************
 *
 * LOVD DATABASE WEBSITE
 *
 * Created     : 2008-07-23
 * Modified    : 2010-08-02
 * For LOVD    : 2.0-28
 *
 * Access      : Public
 *
 * Programmer  : Ing. Ivo F.A.C. Fokkema <I.F.A.C.Fokkema@LUMC.nl>
 * Last edited : Ing. Ivo F.A.C. Fokkema <I.F.A.C.Fokkema@LUMC.nl>
 *
 *************/

define('ROOT_PATH', '../../../');
define('DOCS_PATH', ROOT_PATH . 'docs/');
require DOCS_PATH . 'inc-website-init.php';
require ROOT_PATH . 'inc-top.php';
?>

            <H3>Variant and patient data</H3>
            <H4>Viewing and searching variant and patient data</H4>
            <H5>Advanced options</H5>

            The LOVD variant overviews support a range of advanced options. Not all options are available from all variant overviews.<BR>
            <BR>

            <H6>Sorting</H6>

            Sorting is available on all variant overviews and allows you to sort the data on whatever column you wish. The column currently sorted on has a darker blue background color than the other columns. Two arrows indicate which direction the values on sorted on:<BR>
            <IMG src="<?php echo ROOT_PATH; ?>gfx/order_arrow_asc_sel.png" alt="arrow pointing downwards" width="13" height="6" style="margin : 2px 0px;"> The values are sorted low to high (standard).<BR>
            <IMG src="<?php echo ROOT_PATH; ?>gfx/order_arrow_desc_sel.png" alt="arrow pointing upwards" width="13" height="6" style="margin : 2px 0px;"> The values are sorted high to low (reversed).<BR>
            <BR>

            To sort on a certain column, click on the column header or on the arrows. If that column is already selected to sort on, the sort order will be swapped.<BR>
            LOVD uses an algorithm that interprets the values of the Variant/Exon (if available) and Variant/DNA fields to facilitate proper sorting. The result of the algorithm is stored in a sort column, which LOVD uses by default to sort on. If sorting on any field other than Variant/DNA, LOVD will sort secondarily on this sort column.<BR>
            <BR>

            <H6>Advanced search terms</H6>

            LOVD allows boolean search terms, meaning you can construct complex queries with AND, OR and NOT logic. All search terms are treated as AND by default. OR is indicated with a pipe '|' with no spaces around it and NOT is indicated by an exclamation mark '!', not followed by a space. If you enclose two or more words in double quotes, LOVD will search for the combination of those words only exactly in the order you specify.<BR>
            Note that search terms are <I>case-insensitive</I> and that wildcards such as * are treated as normal text!<BR>
            <BR>

            <B>Examples</B>:<BR>
            <TABLE border="0" cellpadding="2" cellspacing="0" width="100%" style="border : 1px solid #666666;">
              <TR>
                <TD style="border-top : 3px double #666666; border-bottom : 1px solid #666666;"><I>Search terms</I></TD>
                <TD style="border-top : 3px double #666666; border-bottom : 1px solid #666666;"><I>Field</I></TD>
                <TD style="border-top : 3px double #666666; border-bottom : 1px solid #666666;"><I>Result</I></TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">&gt;</TD>
                <TD style="border-bottom : 1px dotted #666666;">Variant/DNA</TD>
                <TD style="border-bottom : 1px dotted #666666;">Show only substitutions</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">A&gt;T|T&gt;A</TD>
                <TD style="border-bottom : 1px dotted #666666;">Variant/DNA</TD>
                <TD style="border-bottom : 1px dotted #666666;">Show only A to T or T to A substitutions</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">c.328 &gt;</TD>
                <TD style="border-bottom : 1px dotted #666666;">Variant/DNA</TD>
                <TD style="border-bottom : 1px dotted #666666;">Show only substitutions at position c.328</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">p.(Arg X)</TD>
                <TD style="border-bottom : 1px dotted #666666;">Variant/Protein</TD>
                <TD style="border-bottom : 1px dotted #666666;">Show only arginine to stopcodon changes</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">Asian</TD>
                <TD style="border-bottom : 1px dotted #666666;">Patient/Origin/Ethnic</TD>
                <TD style="border-bottom : 1px dotted #666666;">Shows "Asian", but also "Caucasian" entries</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">Asian !Caucasian</TD>
                <TD style="border-bottom : 1px dotted #666666;">Patient/Origin/Ethnic</TD>
                <TD style="border-bottom : 1px dotted #666666;">Shows "Asian", but no "Caucasian" entries</TD></TR>
              <TR>
                <TD style="border-bottom : 1px dotted #666666;">Asian|African !Caucasian</TD>
                <TD style="border-bottom : 1px dotted #666666;">Patient/Origin/Ethnic</TD>
                <TD style="border-bottom : 1px dotted #666666;">Shows "Asian" or "African", but no "Caucasian" entries</TD></TR>
              <TR>
                <TD>"South Asian"</TD>
                <TD>Patient/Origin/Ethnic</TD>
                <TD>Shows "South Asian", but no "South East Asian" entries</TD></TR></TABLE><BR>

            <H6>Column hiding</H6>

            The variant overviews can be personalized by hiding columns that you don't need. Especially the full overview including the patient data can get quite wide and to prevent a lot of horizontal scrolling, you can hide the columns you're currently not interested in. These settings will be stored in a cookie on your computer, so that the next time you return to LOVD the settings will remain. The link on the detailed entry view to temporarily unhide all columns does not influence the stored settings.<BR>
            <BR>

            On the column headers of variant overviews that support this feature, there is a little red icon (<IMG src="<?php echo ROOT_PATH; ?>gfx/order_arrow_hide.png" alt="red cross" width="11" height="11">) that you can click to hide the column. The column will disappear, and leave a narrow column with an arrow (<IMG src="<?php echo ROOT_PATH; ?>gfx/order_arrow_show.png" alt="arrow" width="5" height="13">). If several columns next to each other were hidden, only one arrow will be shown. Clicking on this arrow will show a selection list of the hidden columns, where you can choose the columns which you want to be restored. Use the link "Hide Specific Columns" to show a selection list where you can choose which (additional) columns to hide, and "Hide all columns" to show only the DNA column. To restore all columns all at once, click the "Unhide all columns" link.<BR>
            Since LOVD v.2.0-23, the hidden columns are also hidden in the detailed view of the variant, in the patient data table, the variant data table and the listing of all variants reported in the selected patient. The hidden fields can be shown by clicking on the "show all fields" link on the top of the page, or by clicking on an arrow in one of the hidden columns of the entries overview at the bottom of the page. As mentioned on the page, this will not influence your configured display settings.<BR>
            <BR>

<?php
include ROOT_PATH . 'inc-bot.php';
?>
